# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name Stream

%global common_summary Provides functions to create and manipulate infinite lists

%global common_description This package implements functions, analogous to \
those from Data.List, to create and manipulate infinite lists: \
data Stream a = Cons a (Stream a).

Name:           ghc-%{pkg_name}
Version:        0.4.6
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-lazysmallcheck-devel
BuildRequires:  ghc-QuickCheck-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Tue Jun 19 2012 Shakthi Kannan <shakthimaan AT fedoraproject dot org> - 0.4.6-1
- Added BRs.
- Spec file template generated by cabal2spec-0.25.5.
